%global oname tlslite

Name:           python-%{oname}
License:        BSD
Group:          Development/Libraries
Summary:        Python module for SSL/TLS support
Version:        0.4.9
Release:        2%{?dist}
URL:            http://trevp.net/tlslite
Source0:        https://pypi.python.org/packages/source/t/%{oname}/%{oname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
BuildRequires:  python-setuptools

%description
TLS Lite is an open source Python library that implements SSL and
TLS. TLS Lite supports RSA and SRP cipher suites. TLS Lite is pure
Python, however it can use other libraries for faster crypto
operations. TLS Lite integrates with several stdlib networking
libraries.


%package -n python2-%{oname}
Summary:        Python module for SSL/TLS support
Group:          Development/Libraries
%{?python_provide:%python_provide python2-%{oname}}

%description -n python2-%{oname}
TLS Lite is an open source Python library that implements SSL and
TLS. TLS Lite supports RSA and SRP cipher suites. TLS Lite is pure
Python, however it can use other libraries for faster crypto
operations. TLS Lite integrates with several stdlib networking
libraries.


%package -n python3-%{oname}
Summary:        Python 3 module for SSL/TLS support
Group:          Development/Libraries
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
TLS Lite is an open source Python library that implements SSL and
TLS. TLS Lite supports RSA and SRP cipher suites. TLS Lite is pure
Python, however it can use other libraries for faster crypto
operations. TLS Lite integrates with several stdlib networking
libraries.


%prep
%autosetup -n %{oname}-%{version}


%build
%py2_build
%py3_build
chmod a-x README


%install
%py3_install
%py2_install

# scripts are of limited usefulness, put them only in docs
rm -f %{buildroot}%{_bindir}/tls*.py

# and remove their executable permission so that they don't drag in more
# dependencies, and lint doesn't throw a warning
chmod -x scripts/tls*.py


%files -n python2-%{oname}
%license LICENSE
%doc README
%doc scripts/tls*.py
%{python2_sitelib}/%{oname}
%{python2_sitelib}/%{oname}-*.egg-info

%files -n python3-%{oname}
%license LICENSE
%doc README
%doc scripts/tls*.py
%{python3_sitelib}/%{oname}
%{python3_sitelib}/%{oname}-*.egg-info


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 18 2016 Tomas Orsava <torsava@redhat.com> - 0.4.9-1
- Updated to a new version
- Fixed a lint warning in install section
- Split into python2 and python3 subpackages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 22 2012 Andy Grover <agrover@redhat.com> - 0.4.1-2
- Move tls*.py to doc, based on reviewer feedback

* Tue Aug 21 2012 Andy Grover <agrover@redhat.com> - 0.4.1-1
- Initial packaging
